local createCompositionOpen = nil
local createCompositionz_lock_bg = nil
local createCompositionzamok = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/05_office/main/anim/z_lock/"
---------------------------------------------------------------------------------------
function Loader_05_Zoom_Lock_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
                CreateCompositionLoader(createCompositionz_lock_bg,		                'action',		        0,0, 1, 175,175, false),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionOpen = function()
	local compositionOpen = CreateCompositionSequence()
	local compositionDuration = 2.5
	compositionOpen:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."z_lock_open.png")
	element:SetName("Layer_1")
	compositionOpen:AddElement(element)
	element:SetHotSpot(150, 69.5)
	element:SetParentElement(compositionOpen)
	element:SetXY(197.030044555664, 69.0987091064453)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.75, 2.5)
	effector:SetKey(_TRACK_O, 1.83333333333333, 0)
	effector:SetKey(_TRACK_O, 2.04166666666667, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."z_lock_close4.png")
	element:SetName("Layer_2")
	compositionOpen:AddElement(element)
	element:SetHotSpot(169.261803836812, 0.3755329852097)
	element:SetParentElement(compositionOpen)
	element:SetXY(196.532189579, -0.75108444643092)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.5)
	effector:SetKey(_TRACK_SX, 0.375, 1)
	effector:SetKey(_TRACK_SY, 0.375, 1)
	effector:SetKey(_TRACK_SX, 0.70833333333333, 1.00580594974664)
	effector:SetKey(_TRACK_SY, 0.70833333333333, 0.98)
	effector:SetKey(_TRACK_SX, 0.91666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.91666666666667, 1)
	effector:SetKey(_TRACK_SX, 1.125, 1)
	effector:SetKey(_TRACK_SY, 1.125, 0.99)
	effector:SetKey(_TRACK_SX, 1.375, 1)
	effector:SetKey(_TRACK_SY, 1.375, 1.01)
	effector:SetKey(_TRACK_SX, 1.75, 1)
	effector:SetKey(_TRACK_SY, 1.75, 0.95)
	effector:SetKey(_TRACK_SX, 1.875, 1)
	effector:SetKey(_TRACK_SY, 1.875, 0.93)
	effector:SetKey(_TRACK_O, 1.83333333333333, 1)
	effector:SetKey(_TRACK_O, 2.04166666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."sm1_1.png")
	element:SetName("Layer_3")
	compositionOpen:AddElement(element)
	element:SetHotSpot(92, 71.5)
	element:SetParentElement(compositionOpen)
	element:SetXY(195, 110)
 
	element:SetAngle(0.3316125575)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.83333333333333, 2.5)
	effector:SetKey(_TRACK_SX, 0.933349609375, 0.760868)
	effector:SetKey(_TRACK_SY, 0.933349609375, 0.42700140992481)
	effector:SetKey(_TRACK_SX, 2.45833333333333, 2.63585906478917)
	effector:SetKey(_TRACK_SY, 2.45833333333333, 1.5469104180186)
	effector:SetKey(_TRACK_O, 0.933349609375, 0)
	effector:SetKey(_TRACK_O, 1.44999186197917, 0.47)
	effector:SetKey(_TRACK_O, 2.45833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."sm1_1.png")
	element:SetName("Layer_4")
	compositionOpen:AddElement(element)
	element:SetHotSpot(92, 71.5)
	element:SetParentElement(compositionOpen)
	element:SetXY(278, 136)
 
	element:SetAngle(0.3316125575)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.70833333333333, 2.2833251953125)
	effector:SetKey(_TRACK_SX, 0.7750244140625, 0.760868)
	effector:SetKey(_TRACK_SY, 0.7750244140625, 0.42700140992481)
	effector:SetKey(_TRACK_SX, 2.25, 2.63585906478917)
	effector:SetKey(_TRACK_SY, 2.25, 1.5469104180186)
	effector:SetKey(_TRACK_O, 0.7750244140625, 0)
	effector:SetKey(_TRACK_O, 1.29166666666667, 0.47)
	effector:SetKey(_TRACK_O, 2.25, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."sm1_1.png")
	element:SetName("Layer_5")
	compositionOpen:AddElement(element)
	element:SetHotSpot(92, 71.5)
	element:SetParentElement(compositionOpen)
	element:SetXY(195, 119)
 
	element:SetAngle(0.3316125575)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.375, 2.08333333333333)
	effector:SetKey(_TRACK_SX, 0.47501627604167, 0.760868)
	effector:SetKey(_TRACK_SY, 0.47501627604167, 0.42700140992481)
	effector:SetKey(_TRACK_SX, 1.95833333333333, 2.63585906478917)
	effector:SetKey(_TRACK_SY, 1.95833333333333, 1.5469104180186)
	effector:SetKey(_TRACK_O, 0.47501627604167, 0)
	effector:SetKey(_TRACK_O, 0.74165852864583, 0.47)
	effector:SetKey(_TRACK_O, 1.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."lineika.png")
	element:SetName("Layer_6")
	compositionOpen:AddElement(element)
	element:SetHotSpot(76.7768257294433, 28.6609410844903)
	element:SetParentElement(compositionOpen)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.5)
	effector:SetKey(_TRACK_X, 0, 172.746781173779)
	effector:SetKey(_TRACK_Y, 0, 175.751074751483)
	effector:SetKey(_TRACK_X, 0.5, 191.523606124951)
	effector:SetKey(_TRACK_Y, 0.5, 113.412024458514)
	effector:SetKey(_TRACK_SX, 0, 1.15)
	effector:SetKey(_TRACK_SY, 0, 1.15)
	effector:SetKey(_TRACK_SX, 0.5, 1)
	effector:SetKey(_TRACK_SY, 0.5, 1)
	effector:SetKey(_TRACK_SX, 0.70833333333333, 1)
	effector:SetKey(_TRACK_SY, 0.70833333333333, 1)
	effector:SetKey(_TRACK_SX, 0.91666666666667, 1)
	effector:SetKey(_TRACK_SY, 0.91666666666667, 1.10914902908549)
	effector:SetKey(_TRACK_SX, 1.125, 1)
	effector:SetKey(_TRACK_SY, 1.125, 0.92893603254873)
	effector:SetKey(_TRACK_SX, 1.375, 1)
	effector:SetKey(_TRACK_SY, 1.375, 1.15883213714741)
	effector:SetKey(_TRACK_SX, 1.75, 1)
	effector:SetKey(_TRACK_SY, 1.75, 0.85556493533639)
	effector:SetKey(_TRACK_SX, 2.04166666666667, 1)
	effector:SetKey(_TRACK_SY, 2.04166666666667, 1.31792062204605)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.16666666666667, 0)
	effector:SetKey(_TRACK_A, 0.33333333333333, -0.0872664625)
	effector:SetKey(_TRACK_A, 0.5, 0.0872664625)
	effector:SetKey(_TRACK_A, 0.70833333333333, -0.0872664625)
	effector:SetKey(_TRACK_A, 0.91666666666667, 0.0523598775)
	effector:SetKey(_TRACK_A, 1.125, -0.0523598775)
	effector:SetKey(_TRACK_A, 1.375, 0.0523598775)
	effector:SetKey(_TRACK_A, 1.75, -0.0523598775)
	effector:SetKey(_TRACK_A, 2.04166666666667, 0.0523598775)
	effector:SetKey(_TRACK_O, 0, 0)
	effector:SetKey(_TRACK_O, 0.33333333333333, 1)
	effector:SetKey(_TRACK_O, 1.91666666666667, 1)
	effector:SetKey(_TRACK_O, 2.41666666666667, 0)
	effector:Play()
 
	compositionOpen:Play()
 
	return compositionOpen
end
 
createCompositionz_lock_bg = function()
	local compositionz_lock_bg = CreateCompositionSequence()
	local compositionDuration = 2.5
	compositionz_lock_bg:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionOpen()
	element:SetName("Layer_1")
	compositionz_lock_bg:AddElement(element)
	element:SetHotSpot(175, 175)
	element:SetParentElement(compositionz_lock_bg)
	element:SetXY(175, 175)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2.5)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionzamok()
	element:SetName("Layer_2")
	compositionz_lock_bg:AddElement(element)
	element:SetHotSpot(175, 175)
	element:SetParentElement(compositionz_lock_bg)
	element:SetXY(175, 175)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
	compositionz_lock_bg:Play()
 
	return compositionz_lock_bg
end
 
createCompositionzamok = function()
	local compositionzamok = CreateCompositionSequence()
	local compositionDuration = 2
	compositionzamok:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."z_lock_keyhole.png")
	element:SetName("Layer_1")
	compositionzamok:AddElement(element)
	element:SetHotSpot(21.7264957264957, 50.8034188034184)
	element:SetParentElement(compositionzamok)
	element:SetScaleX(1.17)
	element:SetScaleY(1.17)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_X, 1.08333333333333, 142)
	effector:SetKey(_TRACK_Y, 1.08333333333333, 226.25)
	effector:SetKey(_TRACK_X, 1.83333333333333, 137)
	effector:SetKey(_TRACK_Y, 1.83333333333333, 376.25)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.25, 0.104719755)
	effector:SetKey(_TRACK_A, 1.20833333333333, -2.897246555)
	effector:SetKey(_TRACK_A, 1.83333333333333, -3.7873644725)
	effector:SetKey(_TRACK_O, 1.41666666666667, 1)
	effector:SetKey(_TRACK_O, 1.54166666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."z_lock_keyhole__1_.png")
	element:SetName("Layer_2")
	compositionzamok:AddElement(element)
	element:SetHotSpot(38, 31.5)
	element:SetParentElement(compositionzamok)
	element:SetXY(146.875, 204.875)
 
	element:SetScaleX(1.17)
	element:SetScaleY(1.17)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
	compositionzamok:Play()
 
	return compositionzamok
end
 
